document.addEventListener('DOMContentLoaded', () => {
  const uploadZone = document.getElementById('uploadZone');
  const fileInput = document.getElementById('fileInput');
  
  uploadZone.addEventListener('click', () => {
    fileInput.click();
  });
  
  uploadZone.addEventListener('dragover', (e) => {
    e.preventDefault();
    uploadZone.style.borderColor = '#2563eb';
    uploadZone.style.backgroundColor = '#f0f9ff';
  });
  
  uploadZone.addEventListener('dragleave', (e) => {
    e.preventDefault();
    uploadZone.style.borderColor = '#3b82f6';
    uploadZone.style.backgroundColor = 'white';
  });
  
  uploadZone.addEventListener('drop', (e) => {
    e.preventDefault();
    uploadZone.style.borderColor = '#3b82f6';
    uploadZone.style.backgroundColor = 'white';
    
    const files = e.dataTransfer.files;
    handleFiles(files);
  });
  
  fileInput.addEventListener('change', (e) => {
    const files = e.target.files;
    handleFiles(files);
  });
  
  function handleFiles(files) {
    // This is where you would implement file upload logic
    console.log('Files to upload:', files);
    
    // Example feedback to user
    const feedback = document.createElement('div');
    feedback.textContent = `${files.length} file(s) selected for upload`;
    feedback.style.marginTop = '1rem';
    feedback.style.color = '#2563eb';
    
    const existingFeedback = uploadZone.querySelector('div:last-child');
    if (existingFeedback) {
      uploadZone.removeChild(existingFeedback);
    }
    uploadZone.appendChild(feedback);
  }
});
